%define upstream_name    AnyEvent-XMPP
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Low level TCP/TLS connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::Handle)
BuildRequires: perl(AnyEvent::Socket)
BuildRequires: perl(Authen::SASL)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::LibIDN)
BuildRequires: perl(Net::SSLeay) >= 1.330.0
BuildRequires: perl(Object::Event) >= 0.700.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(XML::Writer)
BuildArch:  noarch

%description
This is the head module of the the AnyEvent::XMPP manpage XMPP client
protocol (as described in RFC 3920 and RFC 3921) framework.

the AnyEvent::XMPP::Connection manpage is a RFC 3920 conforming "XML"
stream implementation for clients, which handles TCP connect up to the
resource binding. And provides low level access to the XML nodes on the XML
stream along with some high level methods to send the predefined XML
stanzas.

the AnyEvent::XMPP::IM::Connection manpage is a more high level module,
which is derived from the AnyEvent::XMPP::Connection manpage. It handles
all the instant messaging client functionality described in RFC 3921.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CONTRIBUTORS Changes META.json META.yml MYMETA.yml README TODO samples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.550.0-7pclos2017
- rebuild against updates

